package com.web.api.model.po;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * answer_record实体类
 * 
 * @author 
 *
 */
@Data
@ToString
@ColumnWidth(22)
@ContentRowHeight(15)
public class AnswerRecord  implements Serializable {
	/***/
	@ExcelIgnore
	private Integer id;
	/***/
	@ExcelProperty(value = "工号", index = 0)
	private String jobNo; 
	/***/
	@ExcelProperty(value = "姓名", index = 1)
	private String userName; 
	/***/
	@ExcelProperty(value = "工种id", index = 2)
	private Integer jobTypeId; 
	/***/
	@ExcelProperty(value = "工种名称", index = 3)
	private String jobTypeName; 
	/***/
	@ExcelProperty(value = "难度", index = 4)
	private Integer difficultyLevel; 
	/***/
	@ExcelIgnore
	private Double integral; 
	/***/
	@ExcelIgnore
	private Double goldCoin; 
	/***/
	@ExcelIgnore
	private String diamond; 
	/***/
	@ExcelProperty(value = "初始分数", index = 5)
	private Double startScore; 
	/***/
	@ExcelProperty(value = "目标分数", index = 6)
	private Double targetScore; 
	/***/
	@ExcelProperty(value = "最终得分", index = 7)
	private String finalScore; 
	/***/
	@ExcelProperty(value = "增长分数", index = 8)
	private String addScore; 
	/***/
	@ExcelProperty(value = "答题状态", index = 9)
	private String answerStatus; 
	/***/
	@ExcelProperty(value = "结束事件", index = 10)
	private String answerEndMsg; 
	/***/
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone="GMT+8")
	@ExcelProperty(value = "开始时间", index = 11)
	private Date createTime;
	/***/
	@ExcelIgnore
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone="GMT+8")
	private Date updateTime;
	/***/
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "MM月dd日 HH点mm分",timezone="GMT+8")
	@ExcelProperty(value = "结束时间", index = 12)
	private Date endTime;
	/***/
	@ExcelProperty(value = "客户端IP", index = 13)
	private String ip; 

	
	
}
