package com.web.api.utils;

import com.web.api.model.po.JobTypeEntity;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.regex.Pattern;

/**
 * Created by Administrator on 2020/3/14.
 */
public class Constant {
    /**答题系统服务地址*/
//    public final static String API = "http://1.85.1.34:8023/index";
    public final static String MOBILE_API_URL = "http://117.39.28.234:8023/mobile/";

    public final static String SERVER_IP = "http://117.39.28.234:8023";

    /**1-10关对应的题干数量*/
    public static Map<Integer,Integer> answerNum = new HashMap<>(20);
    /**工种集合*/
    public static List<JobTypeEntity> jobTypeList = new ArrayList<>();
    /**工种集合*/
    public static Map<String,JobTypeEntity> jobTypeMap = new HashMap<>();
    /**答题上限时间*/
    public final static Pattern TIME_LIMIT_PATTENT = Pattern.compile("(<input name=\"timelimit\" type=\"number\" value=\")(.*?)(\" id=\"timelimit\" class=\"form-control\" />)");
    /**获取userID*/
    //todo 2022-08-22 兼容 <td class="id">21175</span></td>  和 <td class="id">21175 /n/t</span>/n/t</td>  两种情况
    public final static Pattern USER_ID_PATTENT = Pattern.compile("(<td class=\"id\">)(.*?)(</span></td>)|(<td class=\"id\">)(.*?\\s)(</span>[\\s]*</td>)");
    /**获取USER_FIELD*/
    public final static Pattern USER_FIELD = Pattern.compile("(<input name=\")(.*?)(\" type=\"text\" value=\")(.*?)(\" id=\")(.*?)(\")(.*?)(class=\"form-control\")(.*?)(/>)|<input id=\"status\" type=\"checkbox\" name=\"status\" value=\"Y\"(.*?)/>");
    /**获取user selelct*/
    public final static Pattern USER_SELECT_PATTENT = Pattern.compile("<select name=\".*?\" id=\"(.*?)\" class=\".*?\".*?>[\\s\\S]*?<option value=\"(.*?)\" selected=\"selected\">(.*?)</option>[\\s\\S]*?</select>");

    public static List<String> stemList = new ArrayList<>();
    static {
        answerNum.put(1,10);
        answerNum.put(2,20);
        answerNum.put(3,30);
        answerNum.put(4,40);
        answerNum.put(5,50);
        answerNum.put(6,60);
        answerNum.put(7,70);
        answerNum.put(8,80);
        answerNum.put(9,90);
        answerNum.put(10,100);
    }

    static {
        jobTypeList.add(new JobTypeEntity("产品质量检查工",1,0));
        jobTypeList.add(new JobTypeEntity("电工",2,30));
        jobTypeList.add(new JobTypeEntity("电焊工",3,60));
        jobTypeList.add(new JobTypeEntity("精整工",4,90));
        jobTypeList.add(new JobTypeEntity("连铸工",5,120));
        jobTypeList.add(new JobTypeEntity("钳工",6,150));
        jobTypeList.add(new JobTypeEntity("天车工",7,180));
        jobTypeList.add(new JobTypeEntity("自动化控制",9,240));
        jobTypeList.add(new JobTypeEntity("轧钢工",10,270));
        jobTypeList.add(new JobTypeEntity("质量知识题库",11,300));
        jobTypeList.add(new JobTypeEntity("转炉炼钢工",12,330));
        jobTypeList.add(new JobTypeEntity("党史",13,360));
        jobTypeList.add(new JobTypeEntity("高炉工长",14,390));
        jobTypeList.add(new JobTypeEntity("高炉炼铁工",15,420));
        jobTypeList.add(new JobTypeEntity("高炉炉前工",16,450));
        jobTypeList.add(new JobTypeEntity("烧结工",17,480));
        jobTypeList.add(new JobTypeEntity("烧结原料工",18,510));
        jobTypeList.add(new JobTypeEntity("安全",19,540));
        jobTypeList.add(new JobTypeEntity("数字化转型规划",436,6480));
        jobTypeList.add(new JobTypeEntity("制度建设知识",443,6570));
    }
    static {
        jobTypeMap.put("产品质量检查工",new JobTypeEntity("产品质量检查工",1,0));
        jobTypeMap.put("电工",new JobTypeEntity("电工",2,30));
        jobTypeMap.put("电焊工",new JobTypeEntity("电焊工",3,60));
        jobTypeMap.put("精整工",new JobTypeEntity("精整工",4,90));
        jobTypeMap.put("连铸工",new JobTypeEntity("连铸工",5,120));
        jobTypeMap.put("钳工",new JobTypeEntity("钳工",6,150));
        jobTypeMap.put("天车工",new JobTypeEntity("天车工",7,180));
        jobTypeMap.put("自动化控制",new JobTypeEntity("自动化控制",9,240));
        jobTypeMap.put("轧钢工",new JobTypeEntity("轧钢工",10,270));
        jobTypeMap.put("质量知识题库",new JobTypeEntity("质量知识题库",11,300));
        jobTypeMap.put("转炉炼钢工",new JobTypeEntity("转炉炼钢工",12,330));
        jobTypeMap.put("党史",new JobTypeEntity("党史",13,360));
        jobTypeMap.put("高炉工长",new JobTypeEntity("高炉工长",14,390));
        jobTypeMap.put("高炉炼铁工",new JobTypeEntity("高炉炼铁工",15,420));
        jobTypeMap.put("高炉炉前工",new JobTypeEntity("高炉炉前工",16,450));
        jobTypeMap.put("烧结工",new JobTypeEntity("烧结工",17,480));
        jobTypeMap.put("烧结原料工",new JobTypeEntity("烧结原料工",18,510));
        jobTypeMap.put("安全",new JobTypeEntity("安全",19,540));
        jobTypeMap.put("数字化转型规划",new JobTypeEntity("数字化转型规划",436,6480));
        jobTypeMap.put("制度建设知识",new JobTypeEntity("制度建设知识",443,6570));
    }
    static {
        stemList.add("id=41572&answer=%E5%AF%B9");
        stemList.add("id=78311&answer=%E9%94%99");
        stemList.add("id=53461&answer=%E5%AF%B9");
        stemList.add("id=52275&answer=ABCD");
        stemList.add("id=52481&answer=ABC");
        stemList.add("id=53092&answer=%E9%94%99");
        stemList.add("id=52481&answer=ABC");
        stemList.add("id=90847&answer=B");
        stemList.add("id=90846&answer=C");
        stemList.add("id=90845&answer=D");
        stemList.add("id=81730&answer=ABD");
        stemList.add("id=81729&answer=ABCD");
        stemList.add("id=81712&answer=BCD");
        stemList.add("id=86316&answer=%E5%AF%B9");
        stemList.add("id=86311&answer=%E9%94%99");
        stemList.add("id=117498&answer=A");
        stemList.add("id=117494&answer=C");
        stemList.add("id=119028&answer=AB");
        stemList.add("id=119027&answer=BCD");
        stemList.add("id=119026&answer=ABC");
        stemList.add("id=119025&answer=ABCD");
        stemList.add("id=119015&answer=ABC");
        stemList.add("id=119013&answer=ABC");
        stemList.add("id=119009&answer=AB");
        stemList.add("id=97626&answer=%E5%AF%B9");
        stemList.add("id=97625&answer=%E9%94%99");
        stemList.add("id=97621&answer=%E9%94%99");
        stemList.add("id=97620&answer=%E5%AF%B9");
        stemList.add("id=97619&answer=%E5%AF%B9");
        stemList.add("id=97617&answer=%E5%AF%B9");
        stemList.add("id=97614&answer=%E5%AF%B9");
        stemList.add("id=97611&answer=%E5%AF%B9");
        //党史
        stemList.add("id=58826&answer=D");
        stemList.add("id=58825&answer=C");
        stemList.add("id=58824&answer=A");
        stemList.add("id=58823&answer=C");
        stemList.add("id=58822&answer=B");
        stemList.add("id=58821&answer=B");
        stemList.add("id=58809&answer=B");
        stemList.add("id=58808&answer=D");
        //轧钢工
        stemList.add("id=142813&answer=AD");
        stemList.add("id=142812&answer=ABC");
        stemList.add("id=142811&answer=ABC");
        stemList.add("id=142809&answer=ABCD");
        stemList.add("id=142804&answer=BC");
        stemList.add("id=142803&answer=ABC");
        stemList.add("id=142802&answer=ABCD");
        stemList.add("id=142798&answer=AB");
        stemList.add("id=142797&answer=BCD");
        stemList.add("id=142794&answer=ABC");

        stemList.add("id=58826&answer=A");
        stemList.add("id=58826&answer=A");
        stemList.add("id=58826&answer=B");
        stemList.add("id=58826&answer=B");
        stemList.add("id=58826&answer=C");
        stemList.add("id=58826&answer=C");
        stemList.add("id=58809&answer=A");
        stemList.add("id=58809&answer=A");
        stemList.add("id=58809&answer=C");
        stemList.add("id=58809&answer=B");



    }

}
